tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Noel <ericn...@mylife.ph>
Subject Re: jk connector build / configure failure
Date Thu, 15 Apr 2004 23:31:40 GMT
On 4/15/2004 10:28 PM, C. Kukulies wrote:
> In the vein of getting tomcat 5 apache 1.3.29 integration working
> I'm now at the point where I came to the conclusion that I need to build
> jakarta-tomcat-connectors-jk-1.2.5-src/jk/native
> 
> Correct me if I'm wrong but I came there by reading and skimming the web.
> Noone could help me in this list so far. Maybe because everyone is using
> apache2, don't know.
> 
> Anyway, BUILDING says:
> 
> ./configure --with-apxs=/usr/sbin/apxs
> 
> 
> Doing that I get (I copied apxs from the apache tree to /usr/sbin):
> 
> checking for grep... /usr/bin/grep
> checking for echo... /bin/echo
> checking for sed... /usr/bin/sed
> checking for cp... /bin/cp
> checking for mkdir... /bin/mkdir
> checking for libtool... /sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin:/root/bin
> need to check for Perl first, apxs depends on it...
> checking for perl... /usr/bin/perl
> could not find /usr/sbin/apxs
> configure: error: You must specify a valid --with-apxs path
> 
> 
> Hell, apxs is there in that path. The path *is* correct.
> 
>>>From config.log:
> configure:8172: result: /sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin
> :/usr/local/bin:/usr/X11R6/bin:/root/bin
> configure:8197: result: need to check for Perl first, apxs depends on it...
> configure:8201: checking for perl
> configure:8219: found /usr/bin/perl
> configure:8232: result: /usr/bin/perl
> configure:8293: result: could not find /usr/sbin/apxs
> configure:8295: error: You must specify a valid --with-apxs path
> 
> mybox# ls -l /usr/sbin/apxs
> -rwxr-xr-x  1 root  wheel  26670 Apr 15 15:38 /usr/sbin/apxs
> mybox# 
> 
> clueless.
> 
> --
> Chris Christoph P. U. Kukulies kuku_at_physik.rwth-aachen.de
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 
im using debian and ive used its binary apache 1.3 to integrate tomcat 5 
with no probs. on a no-X debian hosts, the requirements would be
apt-get install apache
apt-get install apache-dev (requires libdb2-dev)
apt-get install libtool
apt-get install automake

For the connector
tar -xzvf jakarta-tomcat-connectors-jk2-src-current.tar.gz
cd jakarta-tomcat-connectors-jk2-2.0.2-src/jk/native2
sh buildconf.sh
./configure --with-apxs=/usr/bin/apxs
make
make all
cp ../build/jk2/apache13/mod_jk2.so /usr/lib/apache/1.3/

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message